<?
if(isset($_GET['sh_myfarm']) && isset($_GET['sh_seat_all']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_sh` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'"),0)!=0 && $ku['seeder_sh']>0)
{
echo '<div class="event"><h1>Ископаемые</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";
if($ku['last_plant']!=0)
{
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_plant_sh` WHERE `id` = '$ku[last_plant_sh]'"));

$cg=mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_sh` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0'"),0);
$mon=($plant['cena']/100)*$seeder_act_skid;
$money=floor($plant['cena']-$mon);
$sc=$money*$cg;
$rat=$plant['rating'];

$rat_sc_act=0;
$rat_drakon_act=0;
$rat_seeder_sh_act=0;
$rat_school_act=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($drakon_act))$rat_drakon_act=(($plant['rating']/100)*300);
if(isset($seeder_sh_act))$rat_seeder_act=(($rat/100)*$seeder_act);
if(isset($school_act))$rat_school_sh_act=$rat/2;
if(isset($shmel_act))$rat_seeder_sh_act=$rat_seeder_sh_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_seeder_sh_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;

if(isset($dexp))$rat=$rat*2;

if($gos['id_plant']==$plant['id'] && $gos['type']=='rating' && isset($mc))$rat=$rat*2;
if($ku['rubies']>=$sc)
{
$q=mysql_querll("SELECT * FROM `kolhoz_ground_sh` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'");
$orat=0;
while($post=mysql_fetch_array($q))
{
$orat=$rat+$orat;
mysql_querll("UPDATE `kolhoz_ground_sh` SET `id_plant` = '$plant[id]', `time_soil` = '".($time+$plant['time_soil'])."', `time_water` = '".($time+120)."', `soil` = '0', `time` = '".($plant['time']+$time)."' WHERE `id` = '$post[id]' LIMIT 1");
}
mysql_querll("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$sc)."' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$orat)."' WHERE `id` = '$ku[id]'");
update_mc($orat);
$_SESSION['rating']=$orat;
}
else
{
$_SESSION['no_rubies']=$sc-$ku['rubies'];
}
header("Location:?sh_myfarm&".passgen());
exit;
}
else
{
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_plant_sh` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_plant_s` WHERE `id` = '".intval($_GET['select'])."'"));
mysql_querll("UPDATE `kolhoz_user` SET `last_plant_sh` = '$plant[id]' WHERE `id` = '$ku[id]'");
header("Location:?sh_myfarm&sh_seat_all");
exit;
}
$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_plant_sh`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_querll("SELECT * FROM `kolhoz_plant_sh` ORDER BY `level` ASC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/plants/$post[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "".($ku['level']>=$post['level']?"<a href='?sh_myfarm&sh_seat_all&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)." <span class='minor'>, ".($ku['level']>=$post['level']?"цена: </span><span><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='small minor'> Время созревания: <span class='title'>".time_left($post['time'])."</span>, Время до удобрения: <span class='title'>".time_left($post['time_soil'])."</span><br>Доход: <img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span>$post[money]</span>,
Опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'> <span>$post[rating]</span>,
Урожай: <span>$post[count]</span> <span>шт.</span></div></li>";
}
echo "</ul>";
if ($k_page>1)str("?sh_myfarm&sh_seat_all&",$k_page,$page); // Вывод страниц
}
echo "</div>";
include_once 'inc/foot.php';
}
?>